DefinitionBlock ("SSDT.aml", "SSDT", 1, "APPLE ", "CpuPm", 0x00001000)
{
    External (\_PR_.CPU7, DeviceObj)
    External (\_PR_.CPU6, DeviceObj)
    External (\_PR_.CPU5, DeviceObj)
    External (\_PR_.CPU4, DeviceObj)
    External (\_PR_.CPU3, DeviceObj)
    External (\_PR_.CPU2, DeviceObj)
    External (\_PR_.CPU1, DeviceObj)
    External (\_PR_.CPU0, DeviceObj)
    Scope (_PR)
    {
        Scope (\_PR.CPU0)
        {
            Name (_PSS, Package (0x21)
            {
                Package (0x06)
                {
                    0x12C0, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x3000, 
                    0x3000
                }, 
                Package (0x06)
                {
                    0x125C, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2F00, 
                    0x2F00
                }, 
                Package (0x06)
                {
                    0x11F8, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2E00, 
                    0x2E00
                }, 
                Package (0x06)
                {
                    0x1194, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2D00, 
                    0x2D00
                }, 
                Package (0x06)
                {
                    0x1130, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2C00, 
                    0x2C00
                }, 
                Package (0x06)
                {
                    0x10CC, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2B00, 
                    0x2B00
                }, 
                Package (0x06)
                {
                    0x1068, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2A00, 
                    0x2A00
                }, 
                Package (0x06)
                {
                    0x1004, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2900, 
                    0x2900
                }, 
                Package (0x06)
                {
                    0x0FA0, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2800, 
                    0x2800
                }, 
                Package (0x06)
                {
                    0x0F3C, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2700, 
                    0x2700
                }, 
                Package (0x06)
                {
                    0x0ED8, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2600, 
                    0x2600
                }, 
                Package (0x06)
                {
                    0x0E74, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2500, 
                    0x2500
                }, 
                Package (0x06)
                {
                    0x0E10, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2400, 
                    0x2400
                }, 
                Package (0x06)
                {
                    0x0DAC, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2300, 
                    0x2300
                }, 
                Package (0x06)
                {
                    0x0D48, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2200, 
                    0x2200
                }, 
                Package (0x06)
                {
                    0x0CE4, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2100, 
                    0x2100
                }, 
                Package (0x06)
                {
                    0x0C80, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2000, 
                    0x2000
                }, 
                Package (0x06)
                {
                    0x0C1C, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1F00, 
                    0x1F00
                }, 
                Package (0x06)
                {
                    0x0BB8, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1E00, 
                    0x1E00
                }, 
                Package (0x06)
                {
                    0x0B54, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1D00, 
                    0x1D00
                }, 
                Package (0x06)
                {
                    0x0AF0, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1C00, 
                    0x1C00
                }, 
                Package (0x06)
                {
                    0x0A8C, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1B00, 
                    0x1B00
                }, 
                Package (0x06)
                {
                    0x0A28, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1A00, 
                    0x1A00
                }, 
                Package (0x06)
                {
                    0x09C4, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1900, 
                    0x1900
                }, 
                Package (0x06)
                {
                    0x0960, 
                    0x0003C4D8, 
                    0x0A, 
                    0x0A, 
                    0x1800, 
                    0x1800
                }, 
                Package (0x06)
                {
                    0x08FC, 
                    0x00036B00, 
                    0x0A, 
                    0x0A, 
                    0x1700, 
                    0x1700
                }, 
                Package (0x06)
                {
                    0x0898, 
                    0x00031510, 
                    0x0A, 
                    0x0A, 
                    0x1600, 
                    0x1600
                }, 
                Package (0x06)
                {
                    0x0834, 
                    0x0002C6F0, 
                    0x0A, 
                    0x0A, 
                    0x1500, 
                    0x1500
                }, 
                Package (0x06)
                {
                    0x07D0, 
                    0x00027CB8, 
                    0x0A, 
                    0x0A, 
                    0x1400, 
                    0x1400
                }, 
                Package (0x06)
                {
                    0x076C, 
                    0x00023A50, 
                    0x0A, 
                    0x0A, 
                    0x1300, 
                    0x1300
                }, 
                Package (0x06)
                {
                    0x0708, 
                    0x0001FBD0, 
                    0x0A, 
                    0x0A, 
                    0x1200, 
                    0x1200
                }, 
                Package (0x06)
                {
                    0x06A4, 
                    0x0001C520, 
                    0x0A, 
                    0x0A, 
                    0x1100, 
                    0x1100
                }, 
                Package (0x06)
                {
                    0x0640, 
                    0x00016378, 
                    0x0A, 
                    0x0A, 
                    0x1000, 
                    0x1000
                }
            })
            Name (APSN, 0x04)
            Name (APSS, Package (0x21)
            {
                Package (0x06)
                {
                    0x12C0, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x3000, 
                    0x3000
                }, 
                Package (0x06)
                {
                    0x125C, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2F00, 
                    0x2F00
                }, 
                Package (0x06)
                {
                    0x11F8, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2E00, 
                    0x2E00
                }, 
                Package (0x06)
                {
                    0x1194, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2D00, 
                    0x2D00
                }, 
                Package (0x06)
                {
                    0x1130, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2C00, 
                    0x2C00
                }, 
                Package (0x06)
                {
                    0x10CC, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2B00, 
                    0x2B00
                }, 
                Package (0x06)
                {
                    0x1068, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2A00, 
                    0x2A00
                }, 
                Package (0x06)
                {
                    0x1004, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2900, 
                    0x2900
                }, 
                Package (0x06)
                {
                    0x0FA0, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2800, 
                    0x2800
                }, 
                Package (0x06)
                {
                    0x0F3C, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2700, 
                    0x2700
                }, 
                Package (0x06)
                {
                    0x0ED8, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2600, 
                    0x2600
                }, 
                Package (0x06)
                {
                    0x0E74, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2500, 
                    0x2500
                }, 
                Package (0x06)
                {
                    0x0E10, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2400, 
                    0x2400
                }, 
                Package (0x06)
                {
                    0x0DAC, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2300, 
                    0x2300
                }, 
                Package (0x06)
                {
                    0x0D48, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2200, 
                    0x2200
                }, 
                Package (0x06)
                {
                    0x0CE4, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2100, 
                    0x2100
                }, 
                Package (0x06)
                {
                    0x0C80, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x2000, 
                    0x2000
                }, 
                Package (0x06)
                {
                    0x0C1C, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1F00, 
                    0x1F00
                }, 
                Package (0x06)
                {
                    0x0BB8, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1E00, 
                    0x1E00
                }, 
                Package (0x06)
                {
                    0x0B54, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1D00, 
                    0x1D00
                }, 
                Package (0x06)
                {
                    0x0AF0, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1C00, 
                    0x1C00
                }, 
                Package (0x06)
                {
                    0x0A8C, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1B00, 
                    0x1B00
                }, 
                Package (0x06)
                {
                    0x0A28, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1A00, 
                    0x1A00
                }, 
                Package (0x06)
                {
                    0x09C4, 
                    0x000493E0, 
                    0x0A, 
                    0x0A, 
                    0x1900, 
                    0x1900
                }, 
                Package (0x06)
                {
                    0x0960, 
                    0x0003C4D8, 
                    0x0A, 
                    0x0A, 
                    0x1800, 
                    0x1800
                }, 
                Package (0x06)
                {
                    0x08FC, 
                    0x00036B00, 
                    0x0A, 
                    0x0A, 
                    0x1700, 
                    0x1700
                }, 
                Package (0x06)
                {
                    0x0898, 
                    0x00031510, 
                    0x0A, 
                    0x0A, 
                    0x1600, 
                    0x1600
                }, 
                Package (0x06)
                {
                    0x0834, 
                    0x0002C6F0, 
                    0x0A, 
                    0x0A, 
                    0x1500, 
                    0x1500
                }, 
                Package (0x06)
                {
                    0x07D0, 
                    0x00027CB8, 
                    0x0A, 
                    0x0A, 
                    0x1400, 
                    0x1400
                }, 
                Package (0x06)
                {
                    0x076C, 
                    0x00023A50, 
                    0x0A, 
                    0x0A, 
                    0x1300, 
                    0x1300
                }, 
                Package (0x06)
                {
                    0x0708, 
                    0x0001FBD0, 
                    0x0A, 
                    0x0A, 
                    0x1200, 
                    0x1200
                }, 
                Package (0x06)
                {
                    0x06A4, 
                    0x0001C520, 
                    0x0A, 
                    0x0A, 
                    0x1100, 
                    0x1100
                }, 
                Package (0x06)
                {
                    0x0640, 
                    0x00016378, 
                    0x0A, 
                    0x0A, 
                    0x1000, 
                    0x1000
                }
            })
            Method (ACST, 0, NotSerialized)
            {
                Return (Package (0x06)
                {
                    One, 
                    0x04, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000000, // Address
                                0x01,               // Access Size
                                )
                        }, 
                        One, 
                        0x03, 
                        0x03E8
                    }, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000010, // Address
                                0x03,               // Access Size
                                )
                        }, 
                        0x03, 
                        0xCD, 
                        0x01F4
                    }, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000020, // Address
                                0x03,               // Access Size
                                )
                        }, 
                        0x06, 
                        0xF5, 
                        0x015E
                    }, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000030, // Address
                                0x03,               // Access Size
                                )
                        }, 
                        0x07, 
                        0xF5, 
                        0xC8
                    }
                })
            }
            Name (_PPC, Zero)
            Name (_PCT, Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x40,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000199, // Address
                        ,)
                }, 
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000198, // Address
                        ,)
                }
            })
            Name (_PTC, Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }
            })
            Name (_PSD, Package (0x05)
            {
                0x05, 
                Zero, 
                Zero, 
                0xFC, 
                0x08
            })
            Method (_CST, 0, NotSerialized)
            {
                Return (Package (0x04)
                {
                    0x03, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x00,               // Bit Width
                                0x00,               // Bit Offset
                                0x0000000000000000, // Address
                                ,)
                        }, 
                        One, 
                        One, 
                        0x03E8
                    }, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (SystemIO, 
                                0x08,               // Bit Width
                                0x00,               // Bit Offset
                                0x0000000000000414, // Address
                                ,)
                        }, 
                        0x02, 
                        0x50, 
                        0x01F4
                    }, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (SystemIO, 
                                0x08,               // Bit Width
                                0x00,               // Bit Offset
                                0x0000000000000415, // Address
                                ,)
                        }, 
                        0x03, 
                        0x68, 
                        0x015E
                    }
                })
            }
            Name (_TPC, Zero)
            Name (_TSS, Package (0x08)
            {
                Package (0x05)
                {
                    0x64, 
                    0x03E8, 
                    Zero, 
                    Zero, 
                    Zero
                }, 
                Package (0x05)
                {
                    0x58, 
                    0x036B, 
                    Zero, 
                    0x1E, 
                    Zero
                }, 
                Package (0x05)
                {
                    0x4B, 
                    0x02EE, 
                    Zero, 
                    0x1C, 
                    Zero
                }, 
                Package (0x05)
                {
                    0x3F, 
                    0x0271, 
                    Zero, 
                    0x1A, 
                    Zero
                }, 
                Package (0x05)
                {
                    0x32, 
                    0x01F4, 
                    Zero, 
                    0x18, 
                    Zero
                }, 
                Package (0x05)
                {
                    0x26, 
                    0x0177, 
                    Zero, 
                    0x16, 
                    Zero
                }, 
                Package (0x05)
                {
                    0x19, 
                    0xFA, 
                    Zero, 
                    0x14, 
                    Zero
                }, 
                Package (0x05)
                {
                    0x0D, 
                    0x7D, 
                    Zero, 
                    0x12, 
                    Zero
                }
            })
        }
        Scope (\_PR.CPU1)
        {
            Method (APSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0.APSS)
            }
            Method (_CST, 0, NotSerialized)
            {
                Return (\_PR.CPU0._CST ())
            }
            Method (_PCT, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PCT)
            }
            Method (_PPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PPC)
            }
            Method (_PTC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PTC)
            }
            Method (_PSD, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSD)
            }
            Method (_PSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0.APSS)
            }
            Method (_TPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TPC)
            }
            Method (_TSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TSS)
            }
        }
        Scope (\_PR.CPU2)
        {
            Method (APSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0.APSS)
            }
            Method (_CST, 0, NotSerialized)
            {
                Return (\_PR.CPU0._CST ())
            }
            Method (_PCT, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PCT)
            }
            Method (_PPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PPC)
            }
            Method (_PTC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PTC)
            }
            Method (_PSD, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSD)
            }
            Method (_PSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSS)
            }
            Method (_TPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TPC)
            }
            Method (_TSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TSS)
            }
        }
        Scope (\_PR.CPU3)
        {
            Method (APSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0.APSS)
            }
            Method (_CST, 0, NotSerialized)
            {
                Return (\_PR.CPU0._CST ())
            }
            Method (_PCT, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PCT)
            }
            Method (_PPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PPC)
            }
            Method (_PTC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PTC)
            }
            Method (_PSD, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSD)
            }
            Method (_PSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSS)
            }
            Method (_TPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TPC)
            }
            Method (_TSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TSS)
            }
        }
        Scope (\_PR.CPU4)
        {
            Method (APSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0.APSS)
            }
            Method (_CST, 0, NotSerialized)
            {
                Return (\_PR.CPU0._CST ())
            }
            Method (_PCT, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PCT)
            }
            Method (_PPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PPC)
            }
            Method (_PTC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PTC)
            }
            Method (_PSD, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSD)
            }
            Method (_PSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSS)
            }
            Method (_TPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TPC)
            }
            Method (_TSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TSS)
            }
        }
        Scope (\_PR.CPU5)
        {
            Method (APSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0.APSS)
            }
            Method (_CST, 0, NotSerialized)
            {
                Return (\_PR.CPU0._CST ())
            }
            Method (_PCT, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PCT)
            }
            Method (_PPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PPC)
            }
            Method (_PTC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PTC)
            }
            Method (_PSD, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSD)
            }
            Method (_PSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSS)
            }
            Method (_TPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TPC)
            }
            Method (_TSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TSS)
            }
        }
        Scope (\_PR.CPU6)
        {
            Method (APSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0.APSS)
            }
            Method (_CST, 0, NotSerialized)
            {
                Return (\_PR.CPU0._CST ())
            }
            Method (_PCT, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PCT)
            }
            Method (_PPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PPC)
            }
            Method (_PTC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PTC)
            }
            Method (_PSD, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSD)
            }
            Method (_PSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSS)
            }
            Method (_TPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TPC)
            }
            Method (_TSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TSS)
            }
        }
        Scope (\_PR.CPU7)
        {
            Method (APSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0.APSS)
            }
            Method (_CST, 0, NotSerialized)
            {
                Return (\_PR.CPU0._CST ())
            }
            Method (_PCT, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PCT)
            }
            Method (_PPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PPC)
            }
            Method (_PTC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PTC)
            }
            Method (_PSD, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSD)
            }
            Method (_PSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._PSS)
            }
            Method (_TPC, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TPC)
            }
            Method (_TSS, 0, NotSerialized)
            {
                Return (\_PR.CPU0._TSS)
            }
        }
    }
}
